org.codehaus.classworlds

## Class ClassRealmReverseAdapter

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.codehaus.plexus.classworlds.realm.ClassRealm
        - - org.codehaus.classworlds.ClassRealmReverseAdapter

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class ClassRealmReverseAdapter
    extends ClassRealm

A reverse adapter for ClassRealms

Version:
  $Id: ClassRealmReverseAdapter.java 7933 2008-12-17 17:33:58Z bentmann $
Author:
  Andrew Williams

### Method Summary

Methods
`void` `addURL(java.net.URL constituent)`
`ClassRealm` `createChildRealm(java.lang.String id)`
`void` `display()`
`boolean` `equals(java.lang.Object o)`
`java.util.Enumeration` `findResources(java.lang.String name)`
`java.lang.ClassLoader` `getClassLoader()`
`java.lang.String` `getId()`
`static ClassRealmReverseAdapter` `getInstance(ClassRealm oldRealm)`
`ClassRealm` `getParentRealm()`
`java.net.URL` `getResource(java.lang.String name)`
`java.io.InputStream` `getResourceAsStream(java.lang.String name)`
`java.net.URL[]` `getURLs()`
`ClassWorld` `getWorld()`
`void` `importFrom(java.lang.String realmId, java.lang.String pkgName)`
`java.lang.Class` `loadClass(java.lang.String name)`
`ClassRealm` `locateSourceRealm(java.lang.String className)`
`void` `setParentRealm(ClassRealm classRealm)`

### Methods inherited from class org.codehaus.plexus.classworlds.realm.ClassRealm

`findRealmResources, getImportRealm, getRealmResource, getRealmResourceAsStream, getStrategy, loadClass, loadClassFromImport, loadClassFromParent, loadClassFromSelf, loadRealmClass, loadResourceFromImport, loadResourceFromParent, loadResourceFromSelf, loadResourcesFromImport, loadResourcesFromParent, loadResourcesFromSelf, toString`

### Methods inherited from class java.net.URLClassLoader

`close, definePackage, findClass, findResource, getPermissions, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static ClassRealmReverseAdapter getInstance(ClassRealm oldRealm)

#### getId

    public java.lang.String getId()

Overrides:
  `getId` in class `ClassRealm`

#### getWorld

    public ClassWorld getWorld()

Overrides:
  `getWorld` in class `ClassRealm`

#### importFrom

    public void importFrom(java.lang.String realmId,
                  java.lang.String pkgName)
                    throws NoSuchRealmException

Overrides:
  `importFrom` in class `ClassRealm`
Throws:
  `NoSuchRealmException`

#### addURL

    public void addURL(java.net.URL constituent)

Overrides:
  `addURL` in class `ClassRealm`

#### locateSourceRealm

    public ClassRealm locateSourceRealm(java.lang.String className)

Overrides:
  `locateSourceRealm` in class `ClassRealm`

#### setParentRealm

    public void setParentRealm(ClassRealm classRealm)

Overrides:
  `setParentRealm` in class `ClassRealm`

#### createChildRealm

    public ClassRealm createChildRealm(java.lang.String id)
                                throws DuplicateRealmException

Overrides:
  `createChildRealm` in class `ClassRealm`
Throws:
  `DuplicateRealmException`

#### getClassLoader

    public java.lang.ClassLoader getClassLoader()

#### getParentRealm

    public ClassRealm getParentRealm()

Overrides:
  `getParentRealm` in class `ClassRealm`

#### getURLs

    public java.net.URL[] getURLs()

Overrides:
  `getURLs` in class `java.net.URLClassLoader`

#### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

Overrides:
  `loadClass` in class `ClassRealm`
Throws:
  `java.lang.ClassNotFoundException`

#### getResource

    public java.net.URL getResource(java.lang.String name)

Overrides:
  `getResource` in class `ClassRealm`

#### findResources

    public java.util.Enumeration findResources(java.lang.String name)
                                        throws java.io.IOException

Overrides:
  `findResources` in class `ClassRealm`
Throws:
  `java.io.IOException`

#### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

Overrides:
  `getResourceAsStream` in class `ClassRealm`

#### display

    public void display()

Overrides:
  `display` in class `ClassRealm`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `ClassRealm`